summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author mario <mario@slackverse.org>2011-07-03 13:41:59 -0400
committer Niels Horn <niels.horn@slackbuilds.org>2011-07-14 21:54:02 -0300
commitafa1c01d62ab2bb4a56c47947d74ee639b75fa45 (patch)
tree189d91338cdfa2f15f7bf51d4e6f0769b0f8ba81 /development
parent7ba2ccd2a0006abcd31a9ee71c0dfc339466a5f5 (diff)
downloadslackbuilds-afa1c01d62ab2bb4a56c47947d74ee639b75fa45.tar.gz
slackbuilds-afa1c01d62ab2bb4a56c47947d74ee639b75fa45.tar.xz
development/freetds: Added (Tabular Data Stream protocol)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/freetds/README7
-rw-r--r--development/freetds/doinst.sh16
-rw-r--r--development/freetds/freetds.SlackBuild109
-rw-r--r--development/freetds/freetds.info10
-rw-r--r--development/freetds/slack-desc19
5 files changed, 161 insertions, 0 deletions
diff --git a/development/freetds/README b/development/freetds/README
new file mode 100644
index 0000000000..d3801a6834
--- /dev/null
+++ b/development/freetds/README
@@ -0,0 +1,7 @@
+FreeTDS (free implementation of the Tabular Data Stream protocol)
+
+FreeTDS is a free implementation of Sybase's db-lib, ct-lib, and ODBC libraries.
+FreeTDS builds and runs on every flavor of unix-like systems we've heard of, as
+well as Win32 (with or without Cygwin), VMS, and Mac OS X. Failure to build on
+your system is probably considered a bug. It has C language bindings, and works
+also with Perl and PHP, among others.
diff --git a/development/freetds/doinst.sh b/development/freetds/doinst.sh
new file mode 100644
index 0000000000..a1c4c04475
--- /dev/null
+++ b/development/freetds/doinst.sh
@@ -0,0 +1,16 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/freetds/pool.conf.new
+config etc/freetds/freetds.conf.new
+config etc/freetds/locales.conf.new
diff --git a/development/freetds/freetds.SlackBuild b/development/freetds/freetds.SlackBuild
new file mode 100644
index 0000000000..d080d1a026
--- /dev/null
+++ b/development/freetds/freetds.SlackBuild
@@ -0,0 +1,109 @@
+#!/bin/sh
+
+# Slackware build script for freetds
+
+# Copyright 2011, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=freetds
+VERSION=${VERSION:-0.82}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc/freetds \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --disable-debug \
+ --with-openssl \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG TARGET_DOCDIR=$PKG/usr/doc/$PRGNAM-$VERSION
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Append .new to config files
+for i in $PKG/etc/freetds/*.conf ; do mv $i $i.new ; done
+
+# Remove useless share dir
+rm -rf $PKG/usr/share
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog INSTALL NEWS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/freetds/freetds.info b/development/freetds/freetds.info
new file mode 100644
index 0000000000..00edef0764
--- /dev/null
+++ b/development/freetds/freetds.info
@@ -0,0 +1,10 @@
+PRGNAM="freetds"
+VERSION="0.82"
+HOMEPAGE="http://www.freetds.org/"
+DOWNLOAD="http://ibiblio.org/pub/Linux/ALPHA/freetds/stable/freetds-0.82.tar.gz"
+MD5SUM="3df6b2e83fd420e90f1becbd1162990a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="mario"
+EMAIL="mario@slackverse.org"
+APPROVED="dsomero"
diff --git a/development/freetds/slack-desc b/development/freetds/slack-desc
new file mode 100644
index 0000000000..ce5bc25f58
--- /dev/null
+++ b/development/freetds/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+freetds: FreeTDS (free implementation of the Tabular Data Stream protocol)
+freetds:
+freetds: FreeTDS is a free implementation of Sybase's db-lib, ct-lib, and
+freetds: ODBC libraries. FreeTDS builds and runs on every flavor of unix-like
+freetds: systems we've heard of, as well as Win32 (with or without Cygwin),
+freetds: VMS, and Mac OS X. Failure to build on your system is probably
+freetds: considered a bug. It has C language bindings, and works also with
+freetds: Perl and PHP, among others.
+freetds:
+freetds: Homepage: http://www.freetds.org/
+freetds: